Bug 96739 - Ctrl+left/right shift doesn't change text direction
Summary: Ctrl+left/right shift doesn't change text direction
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-12-27 17:10 UTC by coypu
Modified: 2016-10-20 21:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coypu 2015-12-27 17:10:18 UTC
Previously (at least on version 4.3.3.2), using right ctrl+shift resulted in changing text direction to right (or to left, if using left ctrl+shift).

This doesn't work on 5.2.0-alpha0+, and instead does nothing.

Build ID: cda2cca1b759b6be7ec9c62dfe5c9e3eed02b140
Comment 1 Buovjaga 2015-12-27 18:00:18 UTC
Reproduced.

In 4.3, hitting Ctrl+RIGHT SHIFT makes it change to RTL.
Ctrl+LEFT SHIFT switches it back to LTR.
Does not work in 5.2 or 5.1.
Works in 5.0.4.

Win 7 Pro 64-bit, Version: 5.0.4.2 (x64)
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: a4764cfa80270f973da5861d0ddc28298bf16f4d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-24_22:45:12
Locale: fi-FI (fi_FI)

Version: 5.1.0.1 (x64)
Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 4; Ver: Windows 6.1; Render: default;
Locale: fi-FI (fi_FI)

4.3.0.1
Comment 2 A (Andy) 2015-12-28 09:31:31 UTC
Reproducible, not working with LO 5.1.0.1, Win 8.1
Comment 3 coypu 2015-12-30 07:30:07 UTC
First time bisecting, so it's possible I messed up.
This may be the offending commit: [40ade8d04380083e383d6a6e50e5c254fcde2b2f] tdf#92645 svx rendercontext: fix missing paint on shape text editing
Comment 4 Buovjaga 2015-12-30 14:17:37 UTC
(In reply to coypu from comment #3)
> First time bisecting, so it's possible I messed up.
> This may be the offending commit: [40ade8d04380083e383d6a6e50e5c254fcde2b2f]
> tdf#92645 svx rendercontext: fix missing paint on shape text editing

bug 92645
Doesn't really sound like it has anything to do with this..
Comment 5 coypu 2015-12-30 20:20:10 UTC
(In reply to Beluga from comment #4)
> (In reply to coypu from comment #3)
> > First time bisecting, so it's possible I messed up.
> > This may be the offending commit: [40ade8d04380083e383d6a6e50e5c254fcde2b2f]
> > tdf#92645 svx rendercontext: fix missing paint on shape text editing
> 
> bug 92645
> Doesn't really sound like it has anything to do with this..

indeed it doesn't. I messed up.
Comment 6 raal 2016-01-05 07:42:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Simon Long ; Could you possibly take a look at this one? Thanks

ca38e903b89635d06e61ef907e796827091d55ad is the first bad commit
commit ca38e903b89635d06e61ef907e796827091d55ad
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Jul 26 21:04:31 2015 -0700

    source sha:74407aef94b6d8dfdd69891c4a6e578587ef3e71

    source sha:74407aef94b6d8dfdd69891c4a6e578587ef3e71

author	Simon Long <simon@raspberrypi.org>	2015-07-08 17:02:50 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2015-07-09 15:07:24 (GMT)
commit	74407aef94b6d8dfdd69891c4a6e578587ef3e71 (patch)
tdf#92630 Enable auto-accelerator behaviour for gtk
Comment 7 Commit Notification 2016-02-04 08:22:34 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d53d01f38b856f177aca3ed4d3cba3db10f24a5

tdf#96739: Send Ctrl-Left/RightShift events to correct window

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.